Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.maryanovsky.gwtutils.client.ui
Enum GwtUiDefaults.WidgetElementType

    java.lang.Object
      java.lang.Enum<GwtUiDefaults.WidgetElementType>
          com.maryanovsky.gwtutils.client.ui.GwtUiDefaults.WidgetElementType

All Implemented Interfaces:
  Serializable, Comparable<GwtUiDefaults.WidgetElementType>

Enclosing class:
  GwtUiDefaults

    public static enum GwtUiDefaults.WidgetElementType

extends Enum<GwtUiDefaults.WidgetElementType>

The enumeration of types of widgets for which we offer special treatment.

Enum Constant Summary
`BUTTON`
`LIST_BOX`
`TEXT_AREA`
`TEXT_BOX`

Method Summary
`static GwtUiDefaults.WidgetElementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static GwtUiDefaults.WidgetElementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TEXT_BOX

    public static final GwtUiDefaults.WidgetElementType TEXT_BOX

### TEXT_AREA

    public static final GwtUiDefaults.WidgetElementType TEXT_AREA

### LIST_BOX

    public static final GwtUiDefaults.WidgetElementType LIST_BOX

### BUTTON

    public static final GwtUiDefaults.WidgetElementType BUTTON

Method Detail

### values

    public static GwtUiDefaults.WidgetElementType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GwtUiDefaults.WidgetElementType c : GwtUiDefaults.WidgetElementType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GwtUiDefaults.WidgetElementType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD